Catchable fatal error: Object of class __PHP_Incomplete_Class could not be converted to string in ChronologyProtector.php
Closed, ResolvedPublic

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2017, 10:07 PM

Mentioned in SAL (#wikimedia-operations) [2017-02-14T22:11:48Z] <thcipriani@tin> rebuilt wikiversions.php and synchronized wikiversions files: group0 to 1.29.0-wmf.11 for T158127

Paladox triaged this task as High priority.Feb 14 2017, 10:12 PM
Paladox added a subscriber: Paladox.

Not sure if this should be unbreak so setting it as high priority.

thcipriani raised the priority of this task from High to Unbreak Now!.

Not sure if this should be unbreak so setting it as high priority.

Added as a blocker to 1.29.0-wmf.12 so raising to UBN

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptFeb 14 2017, 10:15 PM

Change 337755 had a related patch set uploaded (by Thcipriani):
Make ChronologyProtector::init() use instanceof instead of empty()

https://gerrit.wikimedia.org/r/337755

Change 337755 merged by jenkins-bot:
Make ChronologyProtector::init() use instanceof instead of empty()

https://gerrit.wikimedia.org/r/337755

Change 337848 had a related patch set uploaded (by Hashar):
Make ChronologyProtector::init() use instanceof instead of empty()

https://gerrit.wikimedia.org/r/337848

Change 337848 merged by jenkins-bot:
Make ChronologyProtector::init() use instanceof instead of empty()

https://gerrit.wikimedia.org/r/337848

Mentioned in SAL (#wikimedia-operations) [2017-02-15T17:08:09Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.12/includes/libs/rdbms/ChronologyProtector.php: [[gerrit:337848|Make ChronologyProtector::init() use instanceof instead of empty()]] T158127 (duration: 00m 43s)

Change 337878 had a related patch set uploaded (by Thcipriani):
Make ChronologyProtector::init() use instanceof instead of empty()

https://gerrit.wikimedia.org/r/337878

Change 337878 merged by jenkins-bot:
Make ChronologyProtector::init() use instanceof instead of empty()

https://gerrit.wikimedia.org/r/337878

Mentioned in SAL (#wikimedia-operations) [2017-02-15T17:41:40Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.11/includes/libs/rdbms/ChronologyProtector.php: [[gerrit:337878|Make ChronologyProtector::init() use instanceof instead of empty()]] T158127 (duration: 00m 41s)

Gilles moved this task from Inbox to Next-up on the Performance-Team board.Feb 15 2017, 8:48 PM
aaron closed this task as Resolved.Feb 15 2017, 9:36 PM
Krinkle renamed this task from Catchable fatal error: Object of class __PHP_Incomplete_Class could not be converted to string in /srv/mediawiki/php-1.29.0-wmf.12/includes/libs/rdbms/ChronologyProtector.php on line 124 to Catchable fatal error: Object of class __PHP_Incomplete_Class could not be converted to string in ChronologyProtector.php.Feb 15 2017, 9:55 PM
Krinkle removed a project: Patch-For-Review.